aboutsummaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
Diffstat (limited to 'autogen.sh')
-rw-r--r--autogen.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100644
index 0000000..12bfba8
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+rm -rf autom4te.cache
+rm -f aclocal.m4
+
+echo "Running aclocal..."; aclocal $ACLOCAL_FLAGS -I m4 \
+&& echo "Running autoheader..."; autoheader \
+&& echo "Running autoconf..."; autoconf \
+&& echo "Running libtoolize..."; ( libtoolize --automake || glibtoolize --automake ) \
+&& echo "Running automake..."; automake --add-missing --copy --gnu
+
+if [ -z "$NOCONFIGURE" -a $? -eq 0 ]; then
+ ./configure "$@"
+fi